#include<iostream>
using namespace std;
int main(){
cin.tie(NULL);
long long N,pr=1,iv;
cin>>N;
for(iv=2;pr<N;iv++){
    pr=pr*iv;
}
pr=pr/(iv-1);
for(iv=1;iv<N;iv=iv+pr){
}
cout<<iv-pr;

return 0;
}
